/*
 * Copyright (c) 2002 Jason W. Bacon All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met: 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer. 2.
 * Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#define VALID_OPTS      "dhntv?"
#define VALID_GNU_OPTS  {"--default","--help","--noop","--trayclose",\
			"--verbose",NULL}

#define DEFAULT_DEVICE  "/dev/acd0"

#define STR_MAX             1024
#define MAX_MOUNTS          64

#define NOOP_FLAG           0x0001
#define VERBOSE_FLAG        0x0002
#define FORCE_FLAG          0x0004
#define HELP_FLAG           0x0008
#define USE_DEFAULT_FLAG    0x0010
#define CLOSE_TRAY_FLAG     0x0020
#define LOCK_TRAY_FLAG      0x0040
#define NON_EJECT_FLAG      0x0060  /* Combines close, lock, etc. */
#define INVALID_FLAG        0x8000

#define NOOP(f)         ((f) & NOOP_FLAG)
#define VERBOSE(f)      ((f) & VERBOSE_FLAG)
#define FORCE(f)        ((f) & FORCE_FLAG)
#define HELP(f)         ((f) & HELP_FLAG)
#define USE_DEFAULT(f)  ((f) & USE_DEFAULT_FLAG)
#define CLOSE_TRAY(f)   ((f) & CLOSE_TRAY_FLAG)
#define LOCK_TRAY(f)    ((f) & LOCK_TRAY_FLAG)
#define NON_EJECT(f)    ((f) & NON_EJECT_FLAG)
#define INVALID(f)      ((f) & INVALID_FLAG)

#define USAGE_ERROR         -1
#define NO_MEDIA            -1
#define OPEN_FAILED         -2
#define CDIO_NOT_ALLOWED    -3

#define FLAG_INIT           0
typedef unsigned long       flag_t;

enum { FALSE=0, TRUE };
